EDIT - bug #8222

Deleting a type designation from a name is directly persisted
04/05/2019 03:38 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.6

Severity: normal Found in Version:

Description

The name editor is set to dirty but when closing it without saving the designation is deleted anyway.

Related issues:

Related to EDIT - feature request #6413: [DISCUSS] How to create type duplica... Closed
Related to EDIT - bug #8225: Deleting one of two type designations removes both Closed
Related to EDIT - bug #10111: Data loss e.g. when entering type information In Progress

Associated revisions

Revision b6609b9d - 04/10/2019 12:32 PM - Patrick Plitzner

ref #8222 Add interface method for operation based editors

Revision 864b7020 - 04/10/2019 12:32 PM - Patrick Plitzner
ref #8222 Fix potential NPE + cleanup

Revision d12aec9d - 04/10/2019 12:33 PM - Patrick Plitzner

ref #8222 Delete type designations via operations

History

#1 - 04/05/2019 03:38 PM - Patrick Plitzner
- Related to feature request #6413: [DISCUSS] How to create type duplicates (e.g. isotypes) for a taxon name added

#2 - 04/08/2019 01:48 PM - Katja Luther
- Related to bug #8225: Deleting one of two type designations removes both added

#3 - 04/10/2019 12:34 PM - Patrick Plitzner
- Status changed from New to Resolved
- Assignee changed from Patrick Plitzner to Katja Luther

- % Done changed from 0 to 50

Now type designations are deleted via operations which are executed when saving the name editor.

#4 - 04/11/2019 11:55 AM - Katja Luther
- Status changed from Resolved to Closed
- Assignee changed from Katja Luther to Patrick Plitzner
tested on nightly:
e created new typeDesignation and save
¢ remove typeDesignation and close without saving
¢ the typeDesignation is not deleted

e created new typeDesignation and save
e remove typeDesignation and close with saving

¢ the typeDesignation is deleted

#5 - 07/30/2022 11:25 AM - Andreas Miiller
- Related to bug #10111: Data loss e.g. when entering type information added
